# ATC: fix_modify AtC time_integration (thermal)

# fix_modify AtC time_integration (thermal)

## syntax

fix_modify AtC time_integration <descriptor>

- descriptor (string) = time integration type

various time integration methods for the finite elements

## description

gear - atomic velocity update with 2nd order Verlet, nodal temperature update with 3rd or 4th order Gear, thermostats based on controlling power
fractional_step - atomic velocity update with 2nd order Verlet, mixed nodal temperature update, 3/4 Gear for continuum and 2 Verlet for atomic contributions, thermostats based on controlling discrete energy changes

## examples

`fix_modify atc time_integration gear`
`fix_modify atc time_integration fractional_step`

## description

## related

see fix atc command

## default

none